@media (max-width: 1213px) {
    #reviews {
        padding-bottom: 75px;
    }
}

@media (max-width: 1044px) and (min-width: 993px) {
    .review-card:last-child {
        justify-self: center;
        margin: 0 auto;
    }
    .review-grid {
        display: flex;
        flex-direction: column;
    }
    .review-card {
        width: 90% !important;
        max-width: 90% !important;
        margin: 0 auto;
    }
}

@media (max-width: 1041px) {
    .service-grid {
        display: flex;
        flex-direction: column !important;
    }
    .service-card {
        width: 90% !important;
        max-width: 90%;
        margin: 0 auto;
    }
    .project-card .overlay {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(to bottom, rgba(0,0,0,0) 0%, rgba(0,0,0,0.9) 100%);
        opacity: 1;
        transition: opacity 0.3s ease;
        z-index: 1;
    }
    .project-card .overlay,
    .project-card .text-content {
        opacity: 1 !important;
    }
    .review-card {
        border-top: 4px solid var(--orange);
    }
    #services .service-card {
        border-top: 3px solid var(--orange);
    }
}

@media (max-width: 992px) {
    #about .container {
        flex-direction: column;
    }
    .about-text {
        max-width: none !important;
    }
    .about-text p {
        max-width: none;
    }
    .about-image {
        max-width: 100% !important; 
        width: 100% !important;
        padding: 0 20px;            /* Adds a little breathing room on the sides */
        box-sizing: border-box;     /* Ensures padding doesn't break the layout */
    }
    .about-image img {
        width: 100% !important;
        max-width: 100% !important;
        aspect-ratio: 5 / 4 !important;
    }
    #visit {
        padding-bottom: 75px;
    }
    #visit .container {
        display: flex;
        flex-direction: column-reverse;
    }
    #visit #booking-form {
        width: 100%;
    }
    #booking-form .form-group {
        max-width: 90%;
        margin: 0 auto 30px auto;
    }
    #booking-form .btn-primary {
        margin: 0 auto;
    }
    .map-box {
        width: 100% !important;
        margin: 0 auto;
        height: 350px;
    }
    .map-box iframe {
        height: 100%;
        width: 100% !important;
    }
}

@media (min-width: 851px) and (max-width: 992px) {
    #reviews .review-grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
    .review-card:last-child {
        grid-column: 1 / -1;
        justify-self: center;
        margin: 0 auto;
    }
}

@media (max-width: 850px) {
    .nav-links li a:not(.btn-primary) {
        display: none;
    }
    #open-btn {
        display: block;
    }
    .nav-links {
        gap: 10px;
    }
    .footer-bottom {
        flex-direction: column !important;
        gap: 12px;
        text-align: center;
    }
    .footer-col {
        text-align: center;
        align-items: center;
    }
    .footer-col:last-child {
        grid-column: 1 / -1;
        justify-self: center;
    }
}

@media (min-width: 688px) and (max-width: 851px) {
    .review-grid {
        display: flex;
        flex-direction: column;
    }
}

@media (max-width: 768px) {
    .footer-links {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 530px) {
    .hero-actions {
        flex-direction: column !important;
        gap: 16px;
        margin-right: auto;
        align-items: flex-start;
    }
    .footer-links {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}

@media (max-width: 508px) {
    nav .btn-primary {
        display: none;
    }
}

@media (hover: hover) {
    .about-image img:hover {
        transform: translateY(-10px);
    }
    .service-card:hover {
        transform: translateY(-5px);
        border-color: var(--orange);
    }
    .project-card:hover .overlay,
    .project-card:hover .text-content {
        opacity: 1 !important;
    }
    .review-card:hover {
        transform: translateY(-10px);
        border-top: 4px solid var(--orange);
        box-shadow: 5px 10px 20px rgba(0, 0, 0, 0.04);
    }
    .project-card:hover {
        transform: translateY(-10px);
    }
    .footer-col ul:hover a {
        opacity: 0.5;
    }
    .footer-col ul li a:hover {
        opacity: 1;
    }
    .nav-links a:hover {
        color: var(--orange);
    }
    #open-btn:hover {
        color: var(--orange);
    }
    .sidebar li a:hover {
        color: var(--orange);
    }
    nav .btn-primary:hover {
    transform: scale(1.05);
    }
    main .btn-primary:hover {
        filter: brightness(80%);
    }.btn-secondary:hover {
        background-color: var(--bg-one);
        color: var(--text);
    }
    section:not(#hero) .btn-secondary:hover {
        background-color: var(--text);
        color: var(--bg-one);
    }
}